module Memiescape.Viewer where

import Data.Maybe (Maybe(..))
import Data.Tuple (fst)
import Data.Tuple.Nested ((/\))
import DOM.Simple.Console (log2)
import FFI.Simple ((..))
import Prelude (($), (<$>), pure, show, unit)
import Reactix as R
import Reactix.DOM.HTML as H
import Web.File.Blob (Blob)
import Web.File.File as WFF
import Web.File.FileList (FileList, item)

import Memiescape.Types

thisModule :: String
thisModule = "Memiescape.Viewer"

type ViewerProps = (
  file :: Record FileNameWithBlob
  )

viewer :: Record ViewerProps -> R.Element
viewer props = R.createElement viewerCpt props []

viewerCpt :: R.Component ViewerProps
viewerCpt = R.hooksComponentWithModule thisModule "viewer" cpt
  where
    cpt { file: { blob, name } } _ = do
      pure $ H.div {} [
        H.div {} [
            H.label {} [ H.text name ]
        ]
      ]
